<div>
  <form #form="ngForm" (ngSubmit)="update(form)">
    <input name="label" [(ngModel)]="todo.label" required>
    <button type="submit" [disabled]="!form.form.valid">Update</button>
  </form>
</div>
